Ask Your Question
1

Why the texlive-tetex-bin be installed?

asked 2017-03-29 09:03:24 -0500

eexpss gravatar image

updated 2017-03-29 09:06:26 -0500

▶ dnf repoquery --installed --requires texlive-tetex-bin
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
texlive-base
texlive-tetex
texlive-texlive.infra
▶ dnf repoquery --installed --whatrequires texlive-tetex-bin
texlive-metafont-6:svn40793-33.fc25.1.noarch
texlive-tetex-6:svn41059-33.fc25.1.noarch
▶ dnf repoquery --installed --whatrequires texlive-tetex-6
▶ dnf repoquery --installed --requires texlive-tetex-6
▶ dnf info texlive-tetex-6
Last metadata expiration check: 0:15:17 ago on Wed Mar 29 21:41:22 2017.
Error: No matching Packages to list
▶ dnf info texlive-metafont-6
Last metadata expiration check: 0:17:36 ago on Wed Mar 29 21:41:22 2017.
Error: No matching Packages to list

texlive-tetex-bin installed by default? But no other package need it. I do not need it.

And why this output nothing?

dnf repoquery --installed --requires texlive-tetex-6
edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
0

answered 2017-03-29 19:07:21 -0500

fcomida gravatar image

updated 2017-03-31 03:47:29 -0500

From what I'm seeing you have texlive-tetex which requires texlive-tetex-bin. By the way the 6 is the package epoch you must not include it in the package name. Run dnf repoquery --installed --requires texlive-tetex

edit flag offensive delete link more

Comments

thanks. so if 6 is no need in the package name, the depend relation is loop now.

▶ dnf repoquery --installed --whatrequires texlive-tetex
texlive-tetex-bin-6:svn36770.0-33.20160520.fc25.1.noarch
▶ dnf repoquery --installed --whatrequires texlive-tetex-bin
texlive-metafont-6:svn40793-33.fc25.1.noarch
texlive-tetex-6:svn41059-33.fc25.1.noarch

you see: texlive-tetex -> texlive-tetex-bin -> texlive-tetex

I'm confused.

eexpss gravatar imageeexpss ( 2017-03-29 20:30:39 -0500 )edit
1

Well, I guess they must be installed together. You see texlive-metafont wants texlive-tetex which in turn pulls in texlive-tetex-bin

fcomida gravatar imagefcomida ( 2017-03-30 05:24:09 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2017-03-29 09:03:24 -0500

Seen: 63 times

Last updated: Mar 31 '17